Page MenuHomePhabricator

Add Phan tests for TorBlock
Closed, ResolvedPublic

Description

TorBlock would benefit from Phan and taint-checks IMHO. I'll try to get them installed.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 7 2018, 9:49 PM

Change 431665 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/TorBlock@master] Add Phan tests for TorBlock

https://gerrit.wikimedia.org/r/431665

Two failures only:

includes/TorBlockHooks.php
<error line="141" severity="warning" message="Parameter of undeclared type \AbuseFilterVariableHolder" source="PhanUndeclaredTypeParameter"/>
<error line="142" severity="error" message="Call to method setVar from undeclared class \AbuseFilterVariableHolder" source="PhanUndeclaredClassMethod"/>
MarcoAurelio triaged this task as Normal priority.May 10 2018, 9:30 AM

Change 431665 merged by jenkins-bot:
[mediawiki/extensions/TorBlock@master] Add Phan tests for TorBlock

https://gerrit.wikimedia.org/r/431665

Legoktm closed this task as Resolved.May 29 2018, 1:03 AM
Legoktm assigned this task to MarcoAurelio.
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptMay 29 2018, 1:03 AM
Vvjjkkii renamed this task from Add Phan tests for TorBlock to xfdaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed MarcoAurelio as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
CommunityTechBot renamed this task from xfdaaaaaaa to Add Phan tests for TorBlock.Jul 2 2018, 1:38 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to MarcoAurelio.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)